## go-dlib 5.6.0.9+dfsg

=== Makefile ===
GOPATH_DIR = gopath
GOPKG_PREFIX = pkg.deepin.io/lib

prepare:
	@if [ ! -d ${GOPATH_DIR}/src/${GOPKG_PREFIX} ]; then \
		mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX}); \
		ln -sf ../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX}; \
		fi

print_gopath: prepare
	GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}"

clean:
	rm -rf ${GOPATH_DIR}

check_code_quality: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go vet ./...

=== debian/changelog ===
go-dlib (5.6.0.9+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * Fix tests for chinese locale
  * d/clean: cleanup gettext/testdata/locale_def/ (Closes: #1044780)
  * Replace B-D on libgdk-pixbuf2.0-dev with
    libgdk-pixbuf-xlib-2.0-dev (Closes: #1037380)
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 11 Sep 2023 19:27:02 +0530

go-dlib (5.6.0.9+dfsg-3) unstable; urgency=medium

  * Add patch to change go package path to github. (Closes: #1027604)

 -- Arun Kumar Pariyar <arun@debian.org>  Tue, 03 Jan 2023 23:11:31 +0545

go-dlib (5.6.0.9+dfsg-2) unstable; urgency=high

  * Team upload.
  * Disable broken /etc/group test in group_test.go. (Closes: #981894)

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Feb 2021 16:21:00 -0500

go-dlib (5.6.0.9+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/control: Add missing build-dependency (dbus-x11 <!nocheck>).
  * debian/rules: Fix typo in using $(CURDIR).

 -- Boyuan Yang <byang@debian.org>  Wed, 03 Feb 2021 22:01:33 -0500

go-dlib (5.6.0.9+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 5.6.0.9+dfsg (Closes: #979444).

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Wed, 27 Jan 2021 21:40:47 +0545

=== debian/control ===
Source: go-dlib
Section: devel
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Arun Kumar Pariyar <arun@debian.org>
Build-Depends:
 dbus-x11 <!nocheck>,
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-dbus-dev,
 golang-gir-gio-2.0-dev (>> 1.2.0+),
 golang-gir-glib-2.0-dev (>> 1.2.0+),
 golang-gir-gobject-2.0-dev (>> 1.2.0+),
 golang-github-cryptix-wav-dev,
 golang-github-fsnotify-fsnotify-dev,
 golang-github-linuxdeepin-go-x11-client-dev,
 golang-github-mozillazg-go-pinyin-dev,
 golang-github-smartystreets-goconvey-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-image-dev,
 golang-golang-x-net-dev,
 golang-gopkg-alecthomas-kingpin.v2-dev,
 golang-gopkg-check.v1-dev,
 iso-codes,
 libasound2-dev,
 libcanberra-dev,
 libgdk-pixbuf-xlib-2.0-dev,
 libgtk-3-dev,
 libpam0g-dev,
 libpulse-dev,
 locales,
 mobile-broadband-provider-info,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/linuxdeepin/go-lib
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/go-lib.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/go-lib
XS-Go-Import-Path: github.com/linuxdeepin/go-lib

Package: golang-dlib-dev
Architecture: all
Depends:
 golang-dbus-dev,
 golang-gir-gio-2.0-dev (>> 1.2.0+),
 golang-gir-glib-2.0-dev (>> 1.2.0+),
 golang-gir-gobject-2.0-dev (>> 1.2.0+),
 golang-github-cryptix-wav-dev,
 golang-github-fsnotify-fsnotify-dev,
 golang-github-linuxdeepin-go-x11-client-dev,
 golang-github-mozillazg-go-pinyin-dev,
 golang-golang-x-image-dev,
 golang-golang-x-net-dev,
 libasound2-dev,
 libgtk-3-dev,
 libpam0g-dev,
 libpulse-dev,
 ${misc:Depends},
Description: Go bindings for Deepin Desktop Environment (development files)
 go-dlib is a set of go bindings for D-Bus, glib, gdkpixbuf, pulse and more.
 .
 This package provides set of golang bindings and libraries for DDE development.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DH_GOLANG_INSTALL_ALL := 1

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_before_dh_auto_configure:
	cd gettext; ./build_test_locale_data

execute_after_dh_auto_install:
	find $(CURDIR)/debian/golang-dlib-dev -regex '.*\.git\|.*testdata\|.*LICENSE\|.*\.gitignore' | xargs rm -rf
